Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions
Lucene::KeywordAnalyzer Class Reference

Tokenizes the entire stream as a single token. This is useful for data like zip codes, ids, and some product names. More...

`#include <KeywordAnalyzer.h>`

Inheritance diagram for Lucene::KeywordAnalyzer:

## Public Member Functions

virtual | ~KeywordAnalyzer ()
virtual String | getClassName ()
boost::shared_ptr< KeywordAnalyzer > | shared_from_this ()
virtual TokenStreamPtr | tokenStream (const String &fieldName, const ReaderPtr &reader)
| Creates a TokenStream which tokenizes all the text in the provided Reader. Must be able to handle null field name for backward compatibility.
virtual TokenStreamPtr | reusableTokenStream (const String &fieldName, const ReaderPtr &reader)
| Creates a TokenStream that is allowed to be re-used from the previous time that the same thread called this method. Callers that do not need to use more than one TokenStream at the same time from this analyzer should use this method for better performance.
Public Member Functions inherited from Lucene::Analyzer
virtual | ~Analyzer ()
boost::shared_ptr< Analyzer > | shared_from_this ()
virtual int32_t | getPositionIncrementGap (const String &fieldName)

Invoked before indexing a Fieldable instance if terms have already been added to that field. This allows custom analyzers to place an automatic position increment gap between Fieldable instances using the same field name. The default value position increment gap is 0. With a 0 position increment gap and the typical default token position increment of 1, all terms in a field, including across Fieldable instances, are in successive positions, allowing exact PhraseQuery matches, for instance, across Fieldable instance boundaries.

virtual int32_t | getOffsetGap (const FieldablePtr &field)
| Just like `getPositionIncrementGap`, except for Token offsets instead. By default this returns 1 for tokenized fields and, as if the fields were joined with an extra space character, and 0 for un-tokenized fields. This method is only called if the field produced at least one token for indexing.
virtual void | close ()
| Frees persistent resources used by this Analyzer.
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::Analyzer
static String | _getClassName ()

## Additional Inherited Members

Protected Member Functions inherited from Lucene::Analyzer
virtual LuceneObjectPtr | getPreviousTokenStream ()
| Used by Analyzers that implement reusableTokenStream to retrieve previously saved TokenStreams for re-use by the same thread.
virtual void | setPreviousTokenStream (const LuceneObjectPtr &stream)
| Used by Analyzers that implement reusableTokenStream to save a TokenStream for later re-use by the same thread.
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::Analyzer
CloseableThreadLocal< LuceneObject > | tokenStreams
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Tokenizes the entire stream as a single token. This is useful for data like zip codes, ids, and some product names.

## Constructor & Destructor Documentation

## ◆ ~KeywordAnalyzer()

virtual Lucene::KeywordAnalyzer::~KeywordAnalyzer | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::KeywordAnalyzer::_getClassName | ( |  | ) |

inline static

## ◆ getClassName()

virtual String Lucene::KeywordAnalyzer::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::Analyzer.

## ◆ reusableTokenStream()

virtual TokenStreamPtr Lucene::KeywordAnalyzer::reusableTokenStream | ( | const String & | fieldName,
|  | const ReaderPtr & | reader )

virtual

Creates a TokenStream that is allowed to be re-used from the previous time that the same thread called this method. Callers that do not need to use more than one TokenStream at the same time from this analyzer should use this method for better performance.

Reimplemented from Lucene::Analyzer.

## ◆ shared_from_this()

boost::shared_ptr< KeywordAnalyzer > Lucene::KeywordAnalyzer::shared_from_this | ( |  | ) |

inline

## ◆ tokenStream()

virtual TokenStreamPtr Lucene::KeywordAnalyzer::tokenStream | ( | const String & | fieldName,
|  | const ReaderPtr & | reader )

virtual

Creates a TokenStream which tokenizes all the text in the provided Reader. Must be able to handle null field name for backward compatibility.

Implements Lucene::Analyzer.

The documentation for this class was generated from the following file:

- KeywordAnalyzer.h

clucene.sourceforge.net